Get a webhook endpoint
curl --request GET \
--url https://api.ando.so/v1/webhook-endpoints/{endpointId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/webhook-endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-endpoints/{endpointId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"created_at": "2026-05-14T08:00:00.000Z",
"delivery_scope": {
"actor_workspace_membership_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"direct_message_delivery_enabled": true,
"type": "workspace_member"
},
"disabled_at": "2023-11-07T05:31:56Z",
"enabled_events": [],
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"name": "<string>",
"object": "webhook_endpoint",
"previous_signing_secret_expires_at": "2023-11-07T05:31:56Z",
"signing_secret_prefix": "<string>",
"updated_at": "2026-05-14T08:00:00.000Z",
"url": "<string>",
"workspace_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"delivery_summary": {
"failed_count": 123,
"in_flight_count": 123,
"latest_attempted_at": "2023-11-07T05:31:56Z",
"latest_delivery_id": "<string>",
"latest_failed_at": "2023-11-07T05:31:56Z",
"latest_succeeded_at": "2023-11-07T05:31:56Z",
"pending_count": 123,
"recent_count": 123,
"retrying_count": 123,
"scheduled_count": 123,
"skipped_count": 123,
"succeeded_count": 123
}
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}Get a webhook endpoint
Returns webhook endpoint metadata and a recent delivery summary.
GET
https://api.ando.so/v1
/
webhook-endpoints
/
{endpointId}
Get a webhook endpoint
curl --request GET \
--url https://api.ando.so/v1/webhook-endpoints/{endpointId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/webhook-endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-endpoints/{endpointId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"created_at": "2026-05-14T08:00:00.000Z",
"delivery_scope": {
"actor_workspace_membership_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"direct_message_delivery_enabled": true,
"type": "workspace_member"
},
"disabled_at": "2023-11-07T05:31:56Z",
"enabled_events": [],
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"name": "<string>",
"object": "webhook_endpoint",
"previous_signing_secret_expires_at": "2023-11-07T05:31:56Z",
"signing_secret_prefix": "<string>",
"updated_at": "2026-05-14T08:00:00.000Z",
"url": "<string>",
"workspace_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"delivery_summary": {
"failed_count": 123,
"in_flight_count": 123,
"latest_attempted_at": "2023-11-07T05:31:56Z",
"latest_delivery_id": "<string>",
"latest_failed_at": "2023-11-07T05:31:56Z",
"latest_succeeded_at": "2023-11-07T05:31:56Z",
"pending_count": 123,
"recent_count": 123,
"retrying_count": 123,
"scheduled_count": 123,
"skipped_count": 123,
"succeeded_count": 123
}
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}Authorizations
AndoApiKeyBearerApiKey
Workspace API key. Current accepted keys use the ando_sk_ prefix.
Path Parameters
Webhook endpoint identifier.
Response
Webhook endpoint details.
Webhook endpoint detail response.
Webhook endpoint detail.
Show child attributes
Show child attributes
⌘I